跳转到内容

已登录会员的个人资料

GET
/v1/me
curl --request GET \
--url https://api.vimine.network/v1/me \
--header 'Authorization: Bearer <token>'

个人资料

媒体类型application/json
object
sub
必填

此人的主体标识符,与 ID 令牌中的相同

string
email
必填
string 格式: email
email_verified
必填
boolean
first_name
string
可为 null
last_name
string
可为 null
phone
string
可为 null
dob
string 格式: date
可为 null
gender

仅用于统计

string
可为 null
允许的值: M F
birthplace
string
可为 null
birth_country

ISO 3166-1 alpha-2

string
可为 null
codicefiscale

可选:一个人可以没有税号

string
可为 null
codicefiscale_check

当事人的身份识别方式。matched:税号与其个人信息一致;mismatch_confirmed:税号不一致,但已由当事人确认;absent:没有税号——由出生日期、出生地和出生国识别;null:尚未识别(不能申请会员资格)

string
可为 null
允许的值: matched mismatch_confirmed absent
locale

当事人为平台及其邮件选择的语言;null:从未选择——依次采用请求的语言、协会的语言

string
可为 null
允许的值: it en zh-Hans zh-Hant fr es de pt-BR
updated_at
string 格式: date-time
可为 null
示例
{
"gender": "M",
"codicefiscale_check": "matched",
"locale": "it"
}

请求无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

缺少凭据或凭据无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

无权操作

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

未找到

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

已触发速率限制

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

内部错误

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}